<?php

use Hyperf\Database\Schema\Schema;
use Hyperf\Database\Schema\Blueprint;
use Hyperf\Database\Migrations\Migration;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('global_transactions', function (Blueprint $table) {
            $table->integer('flow')->default(0)->after('type'); // App\Enums\Market\TransactionFlow::NEUTRAL
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('global_transactions', function (Blueprint $table) {
            $table->dropColumn('flow');
        });
    }
};
